ambari-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Hudson (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (AMBARI-13936) Add support for ATS v1.5 for HDP versions 2.3 and higher
Date Wed, 18 Nov 2015 16:25:11 GMT

    [ https://issues.apache.org/jira/browse/AMBARI-13936?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15011316#comment-15011316
] 

Hudson commented on AMBARI-13936:
---------------------------------

FAILURE: Integrated in Ambari-branch-2.1 #888 (See [https://builds.apache.org/job/Ambari-branch-2.1/888/])
AMBARI-13936 Add support for ATS v1.5 for HDP versions 2.3 and higher (dsen: [http://git-wip-us.apache.org/repos/asf?p=ambari.git&a=commit&h=2245322e344e4af85b721ed830ece790267ef312])
* ambari-server/src/main/resources/stacks/HDP/2.3/services/TEZ/configuration/tez-site.xml
* ambari-server/src/main/resources/stacks/HDP/2.3/services/YARN/configuration/yarn-site.xml
* ambari-server/src/test/python/stacks/2.3/configs/ats_1_5.json
* ambari-server/src/test/python/stacks/2.3/YARN/test_ats_1_5.py
* ambari-server/src/main/resources/common-services/YARN/2.1.0.2.0/package/scripts/yarn.py
* ambari-server/src/main/resources/common-services/YARN/2.1.0.2.0/package/scripts/params_linux.py
* ambari-server/src/test/python/stacks/2.1/YARN/test_apptimelineserver.py


> Add support for ATS v1.5 for HDP versions 2.3 and higher
> --------------------------------------------------------
>
>                 Key: AMBARI-13936
>                 URL: https://issues.apache.org/jira/browse/AMBARI-13936
>             Project: Ambari
>          Issue Type: Bug
>          Components: stacks
>    Affects Versions: 2.1.3
>            Reporter: Dmytro Sen
>            Assignee: Dmytro Sen
>            Priority: Critical
>             Fix For: 2.1.3
>
>         Attachments: AMBARI-13936.patch
>
>
> Starting HDP-2.3, Ambari should support ATSv1.5. This involves:
> Adding new configs as specified in the doc below. Lets add only the non-advanced configs
to the HDP-2.3 yarn-site (skip all configs after the section ADVANCED CONFIGS)
> Adding one new config to tez-site
> Ensure that the DFS paths are created and have right permissions
> property: yarn.timeline-service.entity-file-cache-store.active-dir (FSPermission 01777)
> property: yarn.timeline-service.entity-file-cache-store.done-dir (FSPermission 0700)
> Thing(s) to make sure:
> yarn.timeline-service.entity-file-cache-store.active-dir and done-dir exist on the cluster
on hdfs. Active dir should have permission 01777, owned by yarn-user, group hadoop-group.
Done dir should have permission 0700, owned by yarn-user, group hadoop-group.
> The Tez cache plugin class is in timeline server’s classpath - it should be the case
even now, but lets check
> yarn.timeline-service.leveldb-timeline-store.path is a path on local filesystem and needs
to be created with permissions 755 ( owner being the same user as the one which timeline server
is running as ) - this should be happening as well



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message